Query parameters
consistencyinteger or enumOptional
Define read consistency guarantees for the operation
timeoutintegerOptional>=1
If set, overrides global timeout for this request. Unit is seconds.
Request
Search request with optional filtering
vectorlist of doubles or objectRequired
Vector data separator for named and unnamed modes Unnamed mode:
{ “vector”: [1.0, 2.0, 3.0] }
or named mode:
{ “vector”: { “vector”: [1.0, 2.0, 3.0], “name”: “image-embeddings” } }
limitintegerRequired>=1
Max number of result to return
shard_keystring or uint64 or list of strings or uint64s or anyOptional
Specify in which shards to look for the points, if not specified - look in all shards
filterobject or anyOptional
Look only for points which satisfies this conditions
paramsobject or anyOptional
Additional search params
offsetinteger or nullOptional>=0
Offset of the first result to return. May be used to paginate results. Note: large offset values may cause performance issues.
with_payloadboolean or list of strings or object or anyOptional
Select which payload to return with the response. Default is false.
with_vectorboolean or list of strings or anyOptional
Options for specifying which vectors to include into response. Default is false.
score_thresholddouble or nullOptional
Define a minimal score threshold for the result. If defined, less similar results will not be returned. Score of the returned result might be higher or smaller than the threshold depending on the Distance function used. E.g. for cosine similarity only higher scores will be returned.
Response
successful operation
timedouble
Time spent to process this request